function outImg = blend_segmentation(inImg,Labels)
% BLEND_SEGMENTATION vizualizes binary image segmentation.
%
% Synopsis:
%  outImg = blend_segmentation(inImg,Labels)
%

H = size(inImg,1);
W = size(inImg,2);

M1 = zeros(H,W);
M2 = zeros(H,W);
M1(find(Labels==1)) = 1;
M2(find(Labels==2)) = 1;
    
outImg=double(inImg);
t = 0.5;
outImg(:,:,1) = 255*ones(size(M1)).*M1*t + (1-t)*outImg(:,:,1).*M1 + ...
                zeros(size(M2)).*M2*t + (1-t)*outImg(:,:,1).*M2;
outImg(:,:,2) = zeros(size(M1)).*M1*t + (1-t)*outImg(:,:,2).*M1 + ...
                zeros(size(M2)).*M2*t + (1-t)*outImg(:,:,2).*M2;        
outImg(:,:,3) = zeros(size(M1)).*M1*t + (1-t)*outImg(:,:,3).*M1 + ...
                255*ones(size(M2)).*M2*t + (1-t)*outImg(:,:,3).*M2;

M= repmat((Labels ~= 1 & Labels ~= 2),[1 1 3]);
outImg = double(inImg).*M + double(outImg).*(~M);
            
outImg = uint8(outImg);

return;