TEST_IMAGES = {'testimg1','testimg2','testimg3'};

%% Test images and input annotations

for j=1:length(TEST_IMAGES)
    img_name = TEST_IMAGES{j};
    load([img_name '_labels.mat'],'trn_labels');
    I = imread([img_name '.png']);
    
    figure; imagesc(I); axis image; axis off;
    figure; imagesc(blend_segmentation(I,trn_labels));
    axis image; axis off;
end

%% Test gmm_segmentation.m
if exist('gmm_segmentation')

    for j=1:length(TEST_IMAGES)
        img_name = TEST_IMAGES{j};
        load([img_name '_labels.mat'],'trn_labels');
        I = imread([img_name '.png']);
    
        for i=1:3
           L = gmm_segmentation(I,trn_labels);
           figure; imagesc(blend_segmentation(I,L));
           axis image; axis off;
        end
    end
       
else
    fprintf('gmm_segmentation.m do not exist.\n');
end


%% Test graphcut_segmentation.m
if exist('graphcut_segmentation')

    LAMBDA = 10;

    for j=1:length(TEST_IMAGES)
        img_name = TEST_IMAGES{j};
        load([img_name '_labels.mat'],'trn_labels');
        I = imread([img_name '.png']);
    
        for i=1:3
           L = graphcut_segmentation(I,trn_labels,LAMBDA);
           figure; imagesc(blend_segmentation(I,L));
           axis image; axis off;
        end
    end
else
    fprintf('graphcut_segmentation.m do not exist.\n');
end

%% Test grabcut_segmentation.m
if exist('grabcut_segmentation')

    LAMBDA = 10;

    for j=1:length(TEST_IMAGES)
        img_name = TEST_IMAGES{j};
        load([img_name '_labels.mat'],'trn_labels');
        I = imread([img_name '.png']);
    
        for i=1:3
           L = grabcut_segmentation(I,trn_labels,LAMBDA);
           figure; imagesc(blend_segmentation(I,L));
           axis image; axis off;
        end
    end
else
    fprintf('grapb_segmentation.m do not exist.\n');
end

